Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.GIOP
Class OctetSeq3Helper

    java.lang.Object
      |
      +--org.omg.GIOP.OctetSeq3Helper

public class OctetSeq3Helper
extends java.lang.Object

Helper class for : OctetSeq3

Author:
  OpenORB Compiler

Constructor Summary
`OctetSeq3Helper()`

Method Summary
`static byte[]` | `extract(Any a)` Extract OctetSeq3 from an any
`static java.lang.String` | `id()` Return the OctetSeq3 IDL ID
`static void` | `insert(Any a, byte[] t)` Insert OctetSeq3 into an any
`static byte[]` | `read(InputStream istream)` Read OctetSeq3 from a marshalled stream
`static TypeCode` | `type()` Return the OctetSeq3 TypeCode
`static void` | `write(OutputStream ostream, byte[] value)` Write OctetSeq3 into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OctetSeq3Helper

    public OctetSeq3Helper()

Method Detail

### insert

    public static void insert(Any a,
                              byte[] t)

  Insert OctetSeq3 into an any
  Parameters:
    `a` - an any
    `t` - OctetSeq3 value

### extract

    public static byte[] extract(Any a)

  Extract OctetSeq3 from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted OctetSeq3 value

### type

    public static TypeCode type()

  Return the OctetSeq3 TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the OctetSeq3 IDL ID
  Returns:
    an ID

### read

    public static byte[] read(InputStream istream)

  Read OctetSeq3 from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed OctetSeq3 value

### write

    public static void write(OutputStream ostream,
                             byte[] value)

  Write OctetSeq3 into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - OctetSeq3 value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD